Bug 969476 - Admin console SOA 6.0 alpha- unknown error on artifacts tab
Admin console SOA 6.0 alpha- unknown error on artifacts tab
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: unspecified (Show other bugs)
6.0.0 GA
x86_64 Linux
unspecified Severity unspecified
: ER3
: ---
Assigned To: Rob Cernich
Andrej Vano
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 09:55 EDT by Matt Davis
Modified: 2014-06-16 19:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:26:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Image of the unknown error displayed in the admin console (53.08 KB, image/png)
2013-05-31 09:55 EDT, Matt Davis
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1658 Major Closed unknown error after disabling deployed application 2014-06-16 19:53:43 EDT

  None (edit)
Description Matt Davis 2013-05-31 09:55:51 EDT
Created attachment 755285 [details]
Image of the unknown error displayed in the admin console

Description of problem:   On a fresh install, I log into the standalone console, select Runtime Operations, then switchyard, and then the Artifacts tab.  When I do, I get Unknown Error, but nothing is logged to server.log.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.In the admin console, select Runtime Operations -> Switchyard on the left.
2.Select the Artifacts tab on the main page.
3.You should receive an Unknown Error (see attached image).

Actual results: Unknown Error


Expected results: No error should be returned, just an empty artifacts list.


Additional info:  From Keith -  The bug you reference in your email is mainly just packaging related (how we integrate with AS console).  This is likely just a bit of minor cleanup to catch a case where no artifact references are present in an application.
Comment 2 JBoss JIRA Server 2013-08-29 09:12:44 EDT
Keith Babo <kbabo@redhat.com> made a comment on jira SWITCHYARD-1658

pushed
Comment 6 Andrej Vano 2013-12-16 03:30:18 EST
Hello,

verified on ER7-2
Comment 7 JBoss JIRA Server 2014-06-16 19:53:45 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1658 to Closed

Note You need to log in before you can comment on or make changes to this bug.